#{extends 'dashboard/smart_report/adjustment/adjustment-smartreport.html' /}
#{set 'title'}
<h1>Manajemen Data Smart Report e-Tendering</h1>
#{/set}
#{common.alert /}
<div class="container-fluid container-fixed-lg bg-white">
    <div class="row">
        <div class="col">
            <div class="card">
                <div class="card-body">
                    <form method="post" action="@{smartreport.SmartReportAdjustmentController.eTenderingSubmit(summary?.id)}" class="e-tendering-edit">
                    #{authenticityToken /}
                        <div class="form-group">
                            <div class="col-sm-8">
                                <table class="table table-bordered table-hover">
                                    <thead>
                                    <tr>
                                        <th colspan="4" style="text-align: center">Data Tahun ${tahun}</th>
                                    </tr>
                                    <tr>
                                        <th style="width: 30%"></th>
                                        <th style="width: 30%">Data Saat Ini</th>
                                        <td style="width: 5%; text-align: center"><i class="fa fa-2x fa-arrow-circle-left copy-data-all"></i></td>
                                        <th style="width: 30%">Datamart</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                            <td><label class="control-label">Jumlah Tender/Seleksi</label></td>
                                            <td>
                                                <div class="form-group has-feedback">
                                                    <input type="text" name="summaryEdit.jumlah_lelang" value="${summary.jumlah_lelang}" class="form-control number">
                                                    <span class="form-control-feedback"></span>
                                                </div>
                                            </td>
                                            <td>
                                                <i class="fa fa-2x fa-arrow-circle-left copy-data" data-attr="jumlah_lelang"></i>
                                                <input type="hidden" class="jumlah_lelang" value="${original?.jumlah_lelang}"/>
                                            </td>
                                            <td class="right number">${original?.jumlah_lelang}</td>
                                        </tr>
                                        <tr>
                                            <td><label class="control-label">Pagu Tender/Seleksi</label></td>
                                            <td>
                                                <div class="form-group has-feedback">
                                                    <input type="text" name="summaryEdit.pagu_lelang" value="${summary.pagu_lelang.format("##0.##")}" class="form-control decimal">
                                                    <span class="form-control-feedback"></span>
                                                </div>
                                            </td>
                                            <td>
                                                <i class="fa fa-2x fa-arrow-circle-left copy-data" data-attr="pagu_lelang"></i>
                                                <input type="hidden" class="pagu_lelang" value="${original?.pagu_lelang}"/>
                                            </td>
                                            <td class="right decimal">${original?.pagu_lelang}</td>
                                        </tr>
                                        <tr>
                                            <td><label class="control-label">Jumlah Tender/Seleksi Selesai</label></td>
                                            <td>
                                                <div class="form-group has-feedback">
                                                    <input type="text" name="summaryEdit.jumlah_lelang_selesai" value="${summary.jumlah_lelang_selesai}" class="form-control number">
                                                    <span class="form-control-feedback"></span>
                                                </div>
                                            </td>
                                            <td>
                                                <i class="fa fa-2x fa-arrow-circle-left copy-data" data-attr="jumlah_lelang_selesai"></i>
                                                <input type="hidden" class="jumlah_lelang_selesai" value="${original?.jumlah_lelang_selesai}"/>
                                            </td>
                                            <td class="right number">${original?.jumlah_lelang_selesai}</td>
                                        </tr>
                                        <tr>
                                            <td><label class="control-label">Pagu Tender/Seleksi Selesai</label></td>
                                            <td>
                                                <div class="form-group has-feedback">
                                                    <input type="text" name="summaryEdit.pagu_lelang_selesai" value="${summary.pagu_lelang_selesai.format("##0.##")}" class="form-control decimal">
                                                    <span class="form-control-feedback"></span>
                                                </div>
                                            </td>
                                            <td>
                                                <i class="fa fa-2x fa-arrow-circle-left copy-data" data-attr="pagu_lelang_selesai"></i>
                                                <input type="hidden" class="pagu_lelang_selesai" value="${original?.pagu_lelang_selesai}"/>
                                            </td>
                                            <td class="right decimal">${original?.pagu_lelang_selesai}</td>
                                        </tr>
                                        <tr>
                                            <td><label class="control-label">Nilai Hasil Tender/Seleksi</label></td>
                                            <td>
                                                <div class="form-group has-feedback">
                                                    <input type="text" name="summaryEdit.nilai_hasil_lelang" value="${summary.nilai_hasil_lelang.format("##0.##")}" class="form-control decimal">
                                                    <span class="form-control-feedback"></span>
                                                </div>
                                            </td>
                                            <td>
                                                <i class="fa fa-2x fa-arrow-circle-left copy-data" data-attr="nilai_hasil_lelang"></i>
                                                <input type="hidden" class="nilai_hasil_lelang" value="${original?.nilai_hasil_lelang}"/>
                                            </td>
                                            <td class="right decimal">${original?.nilai_hasil_lelang}</td>
                                        </tr>
                                        <tr>
                                            <td><label class="control-label">Selisih Pagu dan Hasil Tender/Seleksi</label></td>
                                            <td>
                                                <div class="form-group has-feedback">
                                                    <input type="text" name="summaryEdit.selisih_pagu_hasil_lelang" value="${summary.selisih_pagu_hasil_lelang.format("##0.##")}" class="form-control decimal">
                                                    <span class="form-control-feedback"></span>
                                                </div>
                                            </td>
                                            <td>
                                                <i class="fa fa-2x fa-arrow-circle-left copy-data" data-attr="selisih_pagu_hasil_lelang"></i>
                                                <input type="hidden" class="selisih_pagu_hasil_lelang" value="${original?.selisih_pagu_hasil_lelang}"/>
                                            </td>
                                            <td class="right decimal">${original?.selisih_pagu_hasil_lelang}</td>
                                        </tr>
                                        <tr>
                                            <td><label class="control-label">Selisih HPS dan Hasil Tender/Seleksi</label></td>
                                            <td>
                                                <div class="form-group has-feedback">
                                                    <input type="text" name="summaryEdit.selisih_hps_hasil_lelang" value="${summary.selisih_hps_hasil_lelang.format("##0.##")}" class="form-control decimal">
                                                    <span class="form-control-feedback"></span>
                                                </div>
                                            </td>
                                            <td>
                                                <i class="fa fa-2x fa-arrow-circle-left copy-data" data-attr="selisih_hps_hasil_lelang"></i>
                                                <input type="hidden" class="selisih_hps_hasil_lelang" value="${original?.selisih_hps_hasil_lelang}"/>
                                            </td>
                                            <td class="right decimal">${original?.selisih_hps_hasil_lelang}</td>
                                        </tr>
                                        <tr>
                                            <td><label class="control-label">Jumlah PPK</label></td>
                                            <td><input type="text" name="summaryEdit.jumlah_ppk" value="${summary.jumlah_ppk}" class="form-control number"></td>
                                            <td>
                                                <i class="fa fa-2x fa-arrow-circle-left copy-data" data-attr="jumlah_ppk"></i>
                                                <input type="hidden" class="jumlah_ppk" value="${original?.jumlah_ppk}"/>
                                            </td>
                                            <td class="right number">${original?.jumlah_ppk}</td>
                                        </tr>
                                        <tr>
                                            <td><label class="control-label">Jumlah Panitia</label></td>
                                            <td>
                                                <div class="form-group has-feedback">
                                                    <input type="text" name="summaryEdit.jumlah_panitia" value="${summary.jumlah_panitia}" class="form-control number">
                                                    <span class="form-control-feedback"></span>
                                                </div>
                                            </td>
                                            <td>
                                                <i class="fa fa-2x fa-arrow-circle-left copy-data" data-attr="jumlah_panitia"></i>
                                                <input type="hidden" class="jumlah_panitia" value="${original?.jumlah_panitia}"/>
                                            </td>
                                            <td class="right number">${original?.jumlah_panitia}</td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="col-sm-12">
                                <div class="pull-right">
                                    <a href='@{smartreport.SmartReportAdjustmentController.eTendering()}' class="btn btn-default">Back</a>
                                    <button type="button" class="btn btn-success save-button"><i class="fa fa-save"></i> Simpan</button>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>
#{set 'adjustmentScripts' }
<script>
    $(document).ready(function() {
        adjustmentData(".e-tendering-edit");

        $.validator.addMethod('minStrict', function (value, el, param) {
            return value > param;
        });

        $(".e-tendering-edit input[name='summaryEdit.pagu_lelang_selesai']").rules("add", {
            minStrict: '0,00',
            required: true,
            messages: {
                minStrict: 'Isian harus lebih dari 0',
                required: 'Isian tidak boleh kosong'
            }
        });
    });
</script>
#{/set}